## fheroes2 0.5-maemo-14

=== src/Makefile ===
# makefile
# project: Free Heroes2
#

TARGET := fheroes2
SDL_LIBS := $(shell sdl-config --libs)
SDL_FLAGS := $(shell sdl-config --cflags)

CFLAGS := $(CFLAGS) -Wall -fsigned-char
LIBS :=

ifdef DEBUG
CFLAGS := $(CFLAGS) -O0 -g -pedantic -DWITH_DEBUG
else
CFLAGS := $(CFLAGS) -O2
endif

ifndef WITHOUT_MIXER
CFLAGS := $(CFLAGS) -DWITH_MIXER
SDL_LIBS := $(SDL_LIBS) -lSDL_mixer
endif

ifndef WITHOUT_IMAGE
CFLAGS := $(CFLAGS) -DWITH_IMAGE $(shell libpng12-config --cflags) -DWITH_ZLIB
SDL_LIBS := $(SDL_LIBS) -lSDL_image $(shell libpng12-config --libs) -lz
endif

ifndef WITHOUT_UNICODE
CFLAGS := $(CFLAGS) -DWITH_TTF
SDL_LIBS := $(SDL_LIBS) -lSDL_ttf
endif

ifndef WITHOUT_NETWORK
CFLAGS := $(CFLAGS) -DWITH_NET
SDL_LIBS := $(SDL_LIBS) -lSDL_net
endif

ifndef WITHOUT_XML
CFLAGS := $(CFLAGS) -DWITH_XML
endif

ifndef WITHOUT_ZLIB
CFLAGS := $(CFLAGS) -DWITH_ZLIB
LIBS := $(LIBS) -lz
endif

ifndef WITHOUT_EDITOR
CFLAGS := $(CFLAGS) -DWITH_EDITOR
endif

ifdef RELEASE
CFLAGS := $(CFLAGS) -DBUILD_RELEASE
endif

CFLAGS := $(SDL_FLAGS) $(CFLAGS)
LIBS := $(SDL_LIBS) $(LIBS)

ifeq ($(PLATFORM),)
ifeq ($(OS),Windows_NT)
PLATFORM := mingw
else
PLATFORM := unix
endif
endif

include Makefile.$(PLATFORM)

export CXX AR LINK WINDRES CFLAGS LIBS PLATFORM

.PHONY: clean

all:
ifndef WITHOUT_XML
	$(MAKE) -C xmlccwrap
endif
	$(MAKE) -C engine
	$(MAKE) -C dist
ifdef WITH_TOOLS
	$(MAKE) -C tools
endif
ifndef WITHOUT_UNICODE
	$(MAKE) -C dist pot
endif

clean:
ifndef WITHOUT_XML
	$(MAKE) -C xmlccwrap clean
endif
ifdef WITH_TOOLS
	$(MAKE) -C tools clean
endif
	$(MAKE) -C dist clean
	$(MAKE) -C engine clean

## fheroes2 0.5-maemo-5

=== debian/changelog ===
fheroes2 (0.5-maemo-5) stable; urgency=low

  * fixed logo into control file

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 19:25:30 +0300

fheroes2 (0.5-maemo-4) stable; urgency=low

  * fixed postinst script and desktop file bug

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 18:45:40 +0300

fheroes2 (0.5-maemo-3) stable; urgency=low

  * Added launch script. Modified desktop file

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 15:33:09 +0300

fheroes2 (0.5-maemo-2) stable; urgency=low

  * Added icon and desktop file. Fixed dependencies.

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 15:06:43 +0300

fheroes2 (0.5-maemo-1) stable; urgency=low

  First try


 -- Marcus Wikstrm <mece@ovi.com>  Fri, 23 Apr 2010 14:23:23 +0000

=== debian/control ===
Source: fheroes2
Section: user/education
Priority: extra
Maintainer: Marcus Wikstrm <mece@ovi.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
Standards-Version: 3.7.2

Package: fheroes2
Maemo-Display-Name: Free Heroes 2
Architecture: armel
Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
Description: Free Heroes 2
 An engine compatible with Heroes of Might and Magic II
	yYou will need the map and data files from the original game to play. You can use the ones from The Heroes of Might and Magic II demo to try it out.
XSBC-Bugtracker: http://talk.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAVLklEQVR42sVa
 CZhcVZU+p/aqrup939Ld6YTskM4mISFsgoggCogoiDroKCgGMcgksmQc0Egw
 gIIGJhCWoCjJOAHlMywBElkSshACnQjZujtJ70t1dW3vvTr+53a1NtEojs5M
 8d28fvVu3Xv+c/6z3QfTP/ETCoUYF8bHa1lWQETceuN2u+2cnJykx+Ox8Lcc
 PnxY/ll78j+6gM/n80LGIgg2AwLP93q9E/x+f1U4HC7C3wEMguBJ27Z70un0
 4WQyucdxnJdxvx3PegDG+n8BgM3DEPpMCP3ZYDB4RmVlZWF+fr6qnyAop1Ip
 gRUok8moBQSgCPMYVhJcCc9729vbX+js7FyDOc/hOvR/AkAFh5AXuVyub5aV
 lU2rqKggaJVaWlpoYGCA8L0KSiowNG8AASQpGJ0HwQmAqLi4mPS3hYWFFI1G
 dx08ePCHmLO2u7s79r8CAIK7cZkJAX8AwedD49TW1sZHjx4V8JtAGXa53OLz
 BElsD6dTIi5x04cvmM0QXPr6+gga597eXsN/0Gjkb66qqhKsSf39/ZtaW1u/
 jb22AojzTwMAngdwuRoL3zplypQwBCFsREVFRezz+kXSASrJq+MJjdOkML+U
 hmIWADgS8vjp/qcX6R4CmlAsFmP8TjZt2kTr16/n5uZmwZoGiFqmtraWA4HA
 IPziFljjp7Bo4h8GgA3yoPW7YOora2pqeMeOHRptKBLOpVS/nwp8DVRcVEV1
 9TVUVlFCtuVQT+8ApVM25Xj9tHrDkj9bUykFP6F33nmH7rvvPtqwYYOhG6yp
 llR6SU9Pz8NDQ0MLMQb+xwAgfD6E/0+Y+CJwWvbu3cswtdhDXsrJ1FHEX8Ie
 r0/yC/NpTEMlB0J+6esZoN7efrYsRyK+IK3f9kMWlZiG4+uxfyMa8bZt2+Sm
 m26id999lxOJhEBoAkUZINbh/iqMvr8bAITPgbOtqq6u/hT24UOHDkl5eQUn
 O4OS722ggD9ELnaxx+eXkrJCqm2oMjJ1dHRRd08fZwCgrtJLa178Kfbg4wIY
 ucKR6a67VvD99z8g6uSISgyLC66/gLWugh/FPjAAmNMLzf9HeXn5ImieESGo
 rKSc0h35FPFUEbwVAqgQLvIFglRRXUZ1jdWUTlp0tL2TBgZj5MU6F53von+9
 4Xzy5c0kl7ccP3BRVvi/SCuNVGvXrqXFixeb75RS6uBHjhxZjtvFAGH/TQAQ
 HvK5LkRkeWLMmDGet956iyrKKzl1JF/CrgomVRh+5mQsWIDZnxOSmroqqqmv
 4mhvVLo6uslyLL7s0yE5pamL8vJ8nFd1tpAnnwrrP4q1vZIRhq9kjO7dbtjR
 9ScLgVLy1FNP0aJFixiaV1/QYGEjcHwKlvlvjWh/C0AFAPxuxowZ9Vu2bEF4
 K6dEew6HMpXigshELkG4pBkzfSQcQJ0QlOhgkApK8nkAAJLJIZo1L5cvv3xA
 EOApMdDPyYSIL1xLdU2f4YpxZ4uTUQAOO3ZaHNthFxJdIIC84XWbiAUQtHr1
 al6+fLkgQo0AOwDfOAWgjh4XgMZ6CH9HY2PjdTCbSUqZoRB5kzWY6DbTAYIQ
 9umOFXk08eQqSqaKaNHnj1IGT+OxJH3sYj998ZvFxFYXsZ2h9JFuOtoWpUOt
 xXTOV1YTFE5tu5+l7v1vULCghionfwS/ZbIgdG5BMRKgT8M2xeNxuvnmm+m5
 555T5ybQmSDTCsh0A0KufTwA48H5LePHj8/dtWsXFxeWS6qzFKL7wFqXDLOX
 payI6UcrI1Q/q5x7OirlO1/toNhAkofiSSQ1m04+RXjeqY40zQ6R0x/j9tZ+
 Odw1luZddic3v7BcDm55ijK2GxHMI8HCSi4fO1MkdzLVTz0Fy5PmBsr6ntx4
 44303nvvmfyBUiWKBDcH1tj7ZwDwI4BzLZs4ceL1ijgcjnC8KyieTAl0TkZw
 UtbDxDWlPvrhXRmqn9vIiXixPPcrD61d1cYDg3HJYNqVVzHX1ydl+gw/UWyI
 9+7qlGDFBVQ69lTesuYaSSQ8lLS97MnEBeUeW64CWXDFcsorrWbHsZVW5PZo
 IeuSp59+ih5//HHeuXOnAlDHXgGaf0trrfcBwJcFyIJvT5gwoQKTqbiggtJd
 pXjiNpN4FOvc5KHpU4L0ua8E6eSP1mKzE+iJe96lNQ+24rlDl14hdNoCh0rw
 8+7WPurvQUINnUr5ZbXUumM9zbz0J+T2+uhn372ExBqkCxY+Rt5wEYKUB7Rl
 TdtaapBKqPXVihUrSGXSaBiJRA6jLDkREavnfQAg/CcRstYi3Rtkia4ABzIV
 kjHsNuoXzlrCBQhe8ik0vuaGPPn01+ZQKpHhm/9lp4TyfDSpKcPnnpeWoCdB
 h3Ye5aHBlNTPXwbe/47dvjypn30ldbW+zRse/Z50t+3nC669F78rhRP7NAKK
 x+3SUM0ZxFYHfvT007/m3274rWzevJlKS0u1/voEAP7qjwCUb7isnD59+pcQ
 eaistEyc9nJ2U5Ay5j8x2uCsG7P5103lJX467QwPXfKV6VRV3U8ZJ0KeHI31
 CZJUDzkIgQd3taNsECqdspjifS0UyK+k4roZlIoPUE6khNr27aHYYJSKq+og
 tDtrZFjZ7TFVq2588FAL/ejH9xorqGXgBw/i2ZdAowxn+R9BCfwK+D8FtY4U
 RsrJ3VNtMqjGfIgPC5gUasLcCJFc5GEfQuCXF46hT14S5UBxqbicJBZMMCfj
 ku4aoIO/70U890jDvO8DQC8f3feGlNRNJyud5HB+qYSKGjgFhBo62dTeYJDa
 HclC+wgPgCRTKb7nnh/LW7t309tvv82g0a7BwcEPAUBixAK1KKCac3NzQx0d
 HSIxlMf2GLiQG8u5VGK2ydZleThnjtjCzV7ySnFJgK5eFOEzPx4UTneSnbAA
 zCWD7QPU0xnn9iNDcsL86ymnbC4/fcf54kVOiOTlcFn9VKmddblJXrZyXozG
 sIH6gG3AgFakye6RRx+TnTt30YsvvsgIqUNdXV2T4QeHDABUl7MbGhpew5fm
 Pt0ZpjBXw1XhVKjpwUW4JiDg36xPZD9KJBANRduUaX5a/lCAJNZnHNGVTFFf
 xyBid5wGe5NUOf3rFEbV+uzK68h2hJQddVNOpxM/tpBSaazsqGGxugw7sVrE
 cTKGRgi39NzzL9BLL21SAKZaRY20AHM2GYFhkosmTZr0y927d6t5JNNZQgEq
 ZA97xe3yYkFiJ+OILRY75EhmmEVqA+PUOUg+V365gi+8LCqZ3naKFOVxtDMq
 sSg6tQNJ9vuQQ9yN1Hj6tZxbVCsHdr9Km35+G1dUV8nczy7nZCqmMhvaZDLD
 5Z5WqeC7GH9DSH3nnWZ54hdP0vbt201bCgCfwvMnRyzwJZQOK19//XVG3S/U
 WYUYE2aP2ytgueEmtCEZdFEAIY6xgvECdTcpKGD6/Bcy3NSUkLIaP9nxBCMq
 oSdmat7dzd6MS4aiQqd++XHOyS83Eh7+/Rv8ys+vl1Muv4+9obCoBaAkhp5E
 La69tA1T6VxEJm5pbZP7H1hlSm6EfFS9HV/AnIcNABRuV8+aNeteDVMlJUhc
 XTXk57BykrwuP9K/xzAfRQzMr96gMTpjopF6wrQmptuXpSnRlyQbTuflNNlp
 B45KsECcMigxhgbR2RWPp1OvuJN8wTxSnr/+5PXkCTdS7fTzTCOUwfq6p9oY
 yjK0Ut8Yrkzb6d6frDSdoH5ggasAYNUIha4CgPsBwFjA21dLIU8B25YtGvU9
 LsRnuLQ6WUappA4Hm1fWZLixkeXjFyZp2twgp3tjsmNLP+UVuTGfwQehg+8m
 YT5bEjGH0hZz+bjZsuBzy4jdXj781lPy3vZneMLZ3xI7rcpxWNWvUciBBbAH
 rOgYah1qOSQPrFpNaDdNrgCAP1kA5eqFJ5100rpXX32V8/LyxNtfQ7m+Muzr
 SDptaf1p6GTqXt0gM6yhSdNSfOu/D4lSHHvwkSMsW7fbdKTN4aLCJBJZhhIo
 JUJ+BQNew2ioF2XOBQtp7Icu5lj3e7Jt/VJuPOsmhFFRp4WCzAaGQuoDWuTp
 37vfbpYn1/2K9u/fr32zIOBcjOfrDICCgoImfLYiUbi0EuS+YioJjtWADK2l
 SbXgRjRyuTymkVEfRo6kT1wUpbPOipGFeRtfiNCOXUz79jHawQwaG6LSmjAt
 vuXDtPXXD5ET7yatlkNBN0VQppz7zSeQF9ro1XXfoYnn3opqFAAte7iEAAAT
 iRzL3KvCnn1+I72xbQe9+eabhJoog2Q2H47+igEArVfBAs0tLS0R1NxCsTDV
 5DQZbWs4AwjQSVSLxgjK+0CQ6bzzk3z66f3SftRNdyzP49JySwoKU3TpxUMc
 G7Slp8sir6+AHX+dbHtpI4W8NjdW+kVrntop85EcE5JyF/LEM78qqWQaGTvJ
 FjYa5r/NGfQLmeG6iB988GHpG4iSsgR9eRSNziTkgcMjFsgZO3bsSxB2Bhp3
 yc8ppWrXbHa73OZ0zbJsTluWacC1rtA+QcfsOQ5fdHFCNm/y0NHDLr7uWyls
 nkABmkSZnZLD++N0YD8SWb8t6ZRDteU+LssNiLek0WTxeGxIPvK1u1Ef5Yg5
 9AIAjTzwM7UGW2msh84vER/i7972fYlEck0YhQW2IRPPQyZOGgDIbBr/70YD
 //WXX34Z9xVUkJhEhTllJqEg1ZsoYWkEQtJRarm0H/Z7aNx4N7W1OXTidIvG
 NQ4CVJKiAwkaHLBo/zsxE40wjZJwUqVeynLRnEtvobGTZiC+o6tDntGElUqn
 zFGLal+dGEozp3gO9m85dICW/eAOjZakHRqEvxdiX4v5mT9Wo8hu58ycOfOZ
 1157zZzNSH+Ex5fMMYkknVZtWKKWsNQSWa6inzRNiS4SDLn4mmv7pDgP5XPU
 4iOtLvk9/GFCXQ80DQskwGeUO96yE+WcK26gkqo6MNIt6rja+yoAW2kDx1VA
 2Md8rwp87LFHef++faLnSNoTIAKdA2o9+75yGjTKnTp16g48rNdzzvxIETcG
 5ksklI+NsUnKgplToFI6SyvHcFNdWumka1VWO3LN1T00FB1CLefI8xtzaOoJ
 nZxGp5ZIWtCsj8fNOVf86H/nfPw6dSbRNVQplp0269lImLZZ38L38KOeblr8
 bzea40fQR+Xc19/fPwvP+98HADRywUQ3VVRU3Lp161bSs0pvrIQmVZ5sEpme
 tKVQ3yTV2Sxoy3ZMhFINaebUQjIHpXTTjASdPq+bOo4INbeeQOMqminW10vp
 BChiQeceJm8gny75zs/InxMxljQKsYcjjq47cq/XdWvX0muvvqJaN6d3cN6l
 uC79s45MPzBPzeTJk99A81yihV1uOF8ac+ZTWUE1IgJK/FTaHNQqEDU5NslW
 ksORQivvQMihKy7pROy3pPnIHDrnzABv37heEvG0nuiyuD3QdobKJszjc794
 C0KbC5FnmCp6QqHrae7RgNHa2iJLliymurox5vQONO+CD8zCs5a/2NRD6y4k
 iSWYuHTPnj0mK0vcT7NqzuNQIGJ8wABIpUaOyjmNDdXpfJ4Ue30ovlwWNZ0Y
 42kT42L7J9Kl1/+I1yy9TDyBHGqYcgZ3drZI8wu/oJMu/AZPnnu+hkmskTJ+
 Be2DNsNg9CD49ttvw55p0iNN+KUesdwMS9+uznvccyH0BEU1NTUbschUZD1B
 ZKJguoKnVc8XnydgeKnCo8mgRCKJShKmFJvOOjPOcz/UI7FYivp7Ld6y0yMD
 8fH04IaVfHDXSzJmyjx6Zf0D3Hlwr7y7cxNdsuRh9oeKDQA477BfQetqgUQ8
 QY888hC/+OJGyR76avZ9C6BOw7zev3qwlU1sC+ATv4nH4yENWyXozkvdJ9CE
 8tmoz72Gm3FwOpm1hDhpmjyljxbM7aYuNPBrfllGA4MemnvaibT80UUmdQ90
 t9M9XzvdnPmMnfVR+vAVi+ATWsCRKdiG+W9j3QT917q19PDDD+kBL+nJIJiR
 aG9vPxdgXzpW1uMBcAP5N5Ab7kBm1igBOhVJuW8i1xc1idcTGM4PyCPqTA6c
 urhkEPXPgCQzA7TtzQK24i5ZcPZM+t6DC01Ncwi975q7lnDTKWdIflk9TZw+
 G9rW5Kg1X8aU07FYgh999BF5/PE15l0Boo4gqAiEvwHyrNAe+AMByJbYAbSa
 ywDi60gcWmSZ07E8dw3VhpsojJJYv0tr/Lbh1KZmMjQwDq6h8NSzZtD3Hlpo
 SudEPKblgcngw6+bEibSoHYziRFBg5bfeTdpSa+a1/cQepSPqHMPyuAb8Zvk
 X5Lzr74fAO9CaPiXwSLXaJZUa9TV1UkkUEgFNI6KgtWoUj1oExwTkUy5AeFS
 VgqJLy3zzmiipSuvzh6pa5E2XJLgmbGe+s/gYIw3b/6d3HnnXQA3fDYKpzXv
 zxA674WSvg0Lxo8n4wd5QxOE+ZbAufWo3QdzGseuqqwivxSwP1UiYW8RYrTf
 lMIaTdK2Fn9pOfm0k2jJPVf98Z0AQICOw2G4r78Pgr8iq1at5j179gooY44Q
 o9GooKmy0XHdDcFvw48GTZefPQ35uwEgbHk0OKG5/kwwGFxaWlpaqElFZWpo
 aDBAxPKQHfOROx0ml+NHyeo1xwvzzphJNyy/0vhLAs4ZjfYhJO6hZ575LT2P
 Jn0A1aXSEqUxHThwwJQJ2Kcf69+HPX+DESU9ZPrTUBohoZD91wDo6VIQowCj
 DKMcQ88YiwGmERucjTxRA3qxvkXRQ35jkaoqBkBUnRZKiRQnh9ISyQ3TmHEV
 RqvKcU2OetYDa5q9kTD1rb05SNA4D753IKptxrODGD2jhr5i0ndlQ6OG0io9
 GoA3K3RJVvCq7FXvi7LPdOdcCF0GQUoBBDgCmnT0DBPdlhcNfoFq0pwcZN8T
 D3dW8A1NThBS9LwTv9ey2LxOwn0a/tWbFXYwO1Rg/a4boxPjaHaMzFEQsREA
 es0fJbCOilH3hdnnEYwwRihrpRDkC0J7XmjVZY4CVS3GSVMm2mRPFUz8N93e
 8Osl0Uqzr6/PArhklhrJLE2GsgJGs5pXAF0Y6PHoMEbraGuMtoArK2BxdhSN
 AlOcBZGXtcIIiEB2+EYNr74ogbAuPedXgTVJafoHKD0nsbI8Hj2OFV4F7M9q
 W4XvwDiSBTGQnavryPGc2JvVcDgrcP4xI+8Ya4wA8WaHJ6uQkfWHj900lg47
 oG6eOo7W+7PUGRl6H8vOt+mYaPT3/L8SnBXMM0pQ/7HaHwXAnQUxAsA5BsCI
 9lPZMXJvZ+dlPoBM9Afuy7Lseq3g6wAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/fheroes2" install
	mkdir -p "$(CURDIR)/debian/fheroes2"

	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/fr/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/fr/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/images/"
	cp -a "instsrc/opt/fheroes2/files/images/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/images/README"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/es/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/es/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/es/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/es/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/es/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/es/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pt_BR/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/AUTHORS" "$(CURDIR)/debian/fheroes2/opt/fheroes2/AUTHORS"
	cp -a "fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/COPYING" "$(CURDIR)/debian/fheroes2/opt/fheroes2/COPYING"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/fheroes2-docs.conf" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2-docs.conf"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/tr/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/tr/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/tr/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/tr/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/tr/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/tr/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/images/name.icn/"
	cp -a "instsrc/opt/fheroes2/files/images/name.icn/spec.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/images/name.icn/spec.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/ru/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/ru/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/ru/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/ru/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/ru/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/ru/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/sv/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/sv/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/sv/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/sv/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/sv/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/sv/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/cs/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/cs/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/cs/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/cs/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/cs/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/cs/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/music/"
	cp -a "instsrc/opt/fheroes2/files/music/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/music/README"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pl/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/pl/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pl/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pl/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/pl/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/pl/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/sounds/"
	cp -a "instsrc/opt/fheroes2/files/sounds/sound.txt" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/sounds/sound.txt"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/hu/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/hu/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/hu/LC_MESSAGES/Makefile"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/hu/LC_MESSAGES/"
	cp -a "instsrc/opt/fheroes2/files/lang/hu/LC_MESSAGES/fheroes2.po" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/hu/LC_MESSAGES/fheroes2.po"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/fonts/"
	cp -a "instsrc/opt/fheroes2/files/fonts/dejavusans.ttf" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/fonts/dejavusans.ttf"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
	cp -a "instsrc/opt/fheroes2/files/stats/battle.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/battle.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
	cp -a "instsrc/opt/fheroes2/files/stats/buildings.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/buildings.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
	cp -a "instsrc/opt/fheroes2/files/stats/globals.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/globals.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
	cp -a "instsrc/opt/fheroes2/files/stats/monsters.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/monsters.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
	cp -a "instsrc/opt/fheroes2/files/stats/payments.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/payments.xml"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"

## fheroes2 0.5-maemo-6

=== debian/changelog ===
fheroes2 (0.5-maemo-6) stable; urgency=low

  * Moved to correct section. Hopefully.

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 21:37:58 +0300

## fheroes2 0.5-maemo-7

=== debian/changelog ===
fheroes2 (0.5-maemo-7) stable; urgency=low

  * fixed default config to be compatible with the demodata package.

 -- Marcus Wikström <mece@ovi.com>  Fri, 23 Apr 2010 22:19:59 +0300

## fheroes2 0.5-maemo-8

=== debian/changelog ===
fheroes2 (0.5-maemo-8) stable; urgency=low

  * fixed a bug with file ownership

 -- Marcus Wikström <mece@ovi.com>  Sat, 24 Apr 2010 01:42:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: fheroes2
-Section: user/education
+Section: user/games
 Priority: extra
 Maintainer: Marcus Wikstrm <mece@ovi.com>
 Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
@@ -11,7 +11,7 @@
 Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
 Description: Free Heroes 2
  An engine compatible with Heroes of Might and Magic II
-	yYou will need the map and data files from the original game to play. You can use the ones from The Heroes of Might and Magic II demo to try it out.
+	You will need the map and data files from the original game to play. You can use the ones from The Heroes of Might and Magic II demo to try it out.
 XSBC-Bugtracker: http://talk.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAVLklEQVR42sVa

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,8 @@
 	# ======================================================
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/fheroes2" install
 	mkdir -p "$(CURDIR)/debian/fheroes2"
-
+	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/maps/"
+	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/data/"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/"
 	cp -a "instsrc/opt/fheroes2/files/lang/fr/LC_MESSAGES/Makefile" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/Makefile"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/lang/fr/LC_MESSAGES/"
@@ -120,5 +121,3 @@
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
 	cp -a "instsrc/opt/fheroes2/files/stats/monsters.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/monsters.xml"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"
-	cp -a "instsrc/opt/fheroes2/files/stats/payments.xml" "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/payments.xml"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/files/stats/"

## fheroes2 0.5-maemo-10

=== debian/changelog ===
fheroes2 (0.5-maemo-10) stable; urgency=low

  * debug bug possibly fixed. longclick doesn't work

 -- Marcus Wikström <mece@ovi.com>  Mon, 26 Apr 2010 22:27:48 +0300

fheroes2 (0.5-maemo-9) stable; urgency=low

  * Possible fix to the tap mode that use long click for right click.

 -- Marcus Wikström <mece@ovi.com>  Mon, 26 Apr 2010 11:50:49 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: fheroes2
 Maemo-Display-Name: Free Heroes 2
-Architecture: armel
+Architecture: any
 Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
 Description: Free Heroes 2
  An engine compatible with Heroes of Might and Magic II

## fheroes2 0.5-maemo-11

=== debian/changelog ===
fheroes2 (0.5-maemo-11) stable; urgency=low

  * debug bug fixed.

 -- Marcus Wikström <mece@ovi.com>  Mon, 26 Apr 2010 23:42:19 +0300

## fheroes2 0.5-maemo-12

=== debian/changelog ===
fheroes2 (0.5-maemo-12) stable; urgency=low

  * long tap right click.

 -- Marcus Wikström <mece@ovi.com>  Tue, 27 Apr 2010 00:25:54 +0300

## fheroes2 0.5-maemo-13

=== debian/changelog ===
fheroes2 (0.5-maemo-13) stable; urgency=low

  * fixed bugtracker link and description

 -- Marcus Wikström <mece@ovi.com>  Sat, 12 Jun 2010 00:31:25 +0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Architecture: any
 Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
 Description: Free Heroes 2
- An engine compatible with Heroes of Might and Magic II
-	You will need the map and data files from the original game to play. You can use the ones from The Heroes of Might and Magic II demo to try it out.
-XSBC-Bugtracker: http://talk.maemo.org
+ Free implementation of Heroes of the Might and Magic II engine.
+ You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata pacakge to try it out.
+XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi/?product=Free%20Heroes%202
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAVLklEQVR42sVa
  CZhcVZU+p/aqrup939Ld6YTskM4mISFsgoggCogoiDroKCgGMcgksmQc0Egw

## fheroes2 0.5-maemo-14

=== debian/changelog ===
fheroes2 (0.5-maemo-14) stable; urgency=low

  * fixed XB-Maemo-Display-Name in control

 -- Marcus Wikström <mece@ovi.com>  Tue, 29 Jun 2010 23:39:12 +0300

=== debian/rules ===
--- 
+++ 
@@ -74,8 +74,8 @@
 	cp -a "instsrc/opt/fheroes2/COPYING" "$(CURDIR)/debian/fheroes2/opt/fheroes2/COPYING"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	cp -a "instsrc/opt/fheroes2/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
+	# mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
+	# cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	cp -a "instsrc/opt/fheroes2/fheroes2-docs.conf" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2-docs.conf"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"

## fheroes2 0.5-maemo-r1916-2

=== src/dist/Makefile ===
# makefile
# project: Free Heroes2
#

ifeq ($(PREFIX),)
PREFIX := /usr/local
endif

TARGET := fheroes2
LIBENGINE := ../engine/libengine.a
CFLAGS := $(CFLAGS) -I../engine

ifndef WITHOUT_XML
LIBENGINE := $(LIBENGINE) ../xmlccwrap/libxmlccwrap.a
CFLAGS := $(CFLAGS) -I../xmlccwrap
endif

ifdef PREFIX
CFLAGS := $(CFLAGS) -I$(PREFIX)/include
endif

RES	:=
ICOFILE	:= ../../image/fheroes2_32x32.ico
SVN	:= $(shell svnversion ..)
CFLAGS	:= $(CFLAGS) -DSVN_REVISION="\"$(SVN)\""

ifdef WITH_ICONS
RES	:= $(TARGET).res
endif

SOURCEROOT := ../fheroes2
SOURCEDIR  := $(shell ls $(SOURCEROOT))
POT        := $(TARGET).pot

SEARCH := $(addprefix $(SOURCEROOT)/, $(addsuffix /*.cpp, $(SOURCEDIR)))

all: $(TARGET)

$(TARGET): $(notdir $(patsubst %.cpp, %.o, $(wildcard $(SEARCH)))) $(LIBENGINE) $(RES)
	@echo "lnk: $@"
	$(CXX) $(CFLAGS) $^ $(RES) $(LIBS) -o $@

pot: $(wildcard $(SEARCH))
	@echo "gen: $(POT)"
	@xgettext -d $(TARGET) -C -k_ -o $(POT) $(wildcard $(SEARCH))

$(RES): $(ICOFILE)
	@echo "gen: $(RES)"
	@echo "id ICON \"$(ICOFILE)\"" > $(TARGET).rc
	$(WINDRES) $(TARGET).rc -O coff -o $(TARGET).res

VPATH := $(addprefix $(SOURCEROOT)/, $(SOURCEDIR))

%.o: %.cpp
	@echo "cxx: $@"
	@$(CXX) -c -MD $(addprefix -I$(SOURCEROOT)/, $(SOURCEDIR)) $< $(CFLAGS)

include $(wildcard *.d)

.PHONY: clean

clean:
	rm -f *.pot *.o *.d *.rc *.res *.exe $(TARGET)

=== debian/changelog ===
fheroes2 (0.5-maemo-r1916-2) stable; urgency=low

  * trying with network

 -- Marcus Wikström <mece@ovi.com>  Wed,  4 Aug 2010 12:27:34 +0300

fheroes2 (0.5-maemo-r1916-1) stable; urgency=low

  * latest svn revision test.

 -- Marcus Wikström <mece@ovi.com>  Wed,  4 Aug 2010 12:02:02 +0300

## fheroes2 0.5.1854.2

=== Makefile ===
# makefile
# project: Free Heroes2
#
# Options:
# DEBUG: build in debug mode
# RELEASE: build with addons extensions
#
# WITHOUT_ZLIB: build without zlib (disable comressed save files)
# WITHOUT_MIXER: build without SDL_mixer library
# WITHOUT_AUDIOCD: disable audio cd support
# WITHOUT_NETWORK: build without SDL_net library
# WITHOUT_UNICODE: build without unicode (disable translation and ttf font)
# WITHOUT_IMAGE: build without SDL_image library (disable cache image, icn2png)
# WITHOUT_EDITOR
# WITHOUT_XML: skip build tinyxml, used for load alt. resources
# WITH_TOOLS: build tools

TARGET := fheroes2

all:
	$(MAKE) -C src
	@cp src/dist/$(TARGET) .
ifndef WITHOUT_UNICODE
	@cp src/dist/$(TARGET).pot files/lang
endif

clean:
	$(MAKE) -C src clean


install:
	cp fheroes2 $(DESTDIR)/usr/bin/
	cp fheroes2.bin $(DESTDIR)/home/user/.fheroes2/
	cp fheroes2.cfg $(DESTDIR)/home/user/.fheroes2/
	cp files/music/README $(DESTDIR)/home/user/.fheroes2/files/music/
	cp files/stats/globals.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/profits.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/monsters.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/buildings.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/spells.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/battle.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/skills.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/stats/payments.xml $(DESTDIR)/home/user/.fheroes2/files/stats/
	cp files/fonts/dejavusans.ttf $(DESTDIR)/home/user/.fheroes2/files/fonts/
	cp files/sounds/sound.txt $(DESTDIR)/home/user/.fheroes2/files/sounds/
	cp files/images/name.icn/spec.xml $(DESTDIR)/home/user/.fheroes2/files/images/name.icn/
	cp files/images/README $(DESTDIR)/home/user/.fheroes2/files/images/
	cp files/lang/pl/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/pl/LC_MESSAGES/
	cp files/lang/pl/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/pl/LC_MESSAGES/
	cp files/lang/nl/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/nl/LC_MESSAGES/
	cp files/lang/nl/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/nl/LC_MESSAGES/
	cp files/lang/sv/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/sv/LC_MESSAGES/
	cp files/lang/sv/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/sv/LC_MESSAGES/
	cp files/lang/es/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/es/LC_MESSAGES/
	cp files/lang/es/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/es/LC_MESSAGES/
	cp files/lang/hu/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/hu/LC_MESSAGES/
	cp files/lang/hu/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/hu/LC_MESSAGES/
	cp files/lang/fheroes2.pot $(DESTDIR)/home/user/.fheroes2/files/lang/
	cp files/lang/cs/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/cs/LC_MESSAGES/
	cp files/lang/cs/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/cs/LC_MESSAGES/
	cp files/lang/fr/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/fr/LC_MESSAGES/
	cp files/lang/fr/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/fr/LC_MESSAGES/
	cp files/lang/tr/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/tr/LC_MESSAGES/
	cp files/lang/tr/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/tr/LC_MESSAGES/
	cp files/lang/ru/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/ru/LC_MESSAGES/
	cp files/lang/ru/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/ru/LC_MESSAGES/
	cp files/lang/pt_BR/LC_MESSAGES/Makefile $(DESTDIR)/home/user/.fheroes2/files/lang/pt_BR/LC_MESSAGES/
	cp files/lang/pt_BR/LC_MESSAGES/fheroes2.po $(DESTDIR)/home/user/.fheroes2/files/lang/pt_BR/LC_MESSAGES/
	cp files/lang/README $(DESTDIR)/home/user/.fheroes2/files/lang/
	cp fheroes2.desktop $(DESTDIR)/usr/share/applications/hildon/
	cp image/fheroes2_32x32.png $(DESTDIR)/usr/share/icons/hicolor/32x32/hildon/fheroes2.png
	cp image/fheroes2_32x32.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/fheroes2.png
	cp image/fheroes2_32x32.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/fheroes2.png
	cp install-notice.txt $(DESTDIR)/home/user/.fheroes2/

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SDL_LIBS := $(shell sdl-config --libs)
 SDL_FLAGS := $(shell sdl-config --cflags)
 
-CFLAGS := $(CFLAGS) -Wall -fsigned-char
+CFLAGS := $(CFLAGS) -Wall -fsigned-char -DUSE_RWOPS -DCONFIGURE_FHEROES2_DATA=\"/home/user/.fheroes2\"
 LIBS :=
 
 ifdef DEBUG

=== debian/changelog ===
fheroes2 (0.5.1854.2) unstable; urgency=low

  * Deb icon added

  * Menu item

  * Binary settings file included

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  25 Apr 2010 08:30:00 +0300

fheroes2 (0.5.1854.1) unstable; urgency=low

  * Initial build for Diablo

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  24 Apr 2010 23:20:00 +0300

=== debian/control ===
Source: fheroes2
Section: user/games
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, libpng12-dev
Standards-Version: 2.0

Package: fheroes2
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}
Description: Free implementation of Heroes of the Might and Magic II engine
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAAAAAAAD5Q7t/AAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAGHUlEQVRIx5WW2W8b1xWHv1nI
 oYaiqcUUGVmy5IS2Kzcy3BiF4yANkMpIBFhBXoqk6BbAQF+KPuQPaNGntiiQvhQp2gZpUbR285QA
 RVHETR8Muw+R1EWGtbjaaFOkxGWGQw7JmSE5Wx8aG45jOfYPuMBdcH4f7sXBuUfgMZROpz+1rlQq
 jxwrPg5IlmUsy5qzLGtOluXHCUW4MxkZGaGvr48gCHBdlzAMAQiCAEVRAPB9/xuzs7NvA1y+fPn7
 kiT9CaDb7SIIwt0hSRKyLJPP5++CpDuTeDyuyLL88yAIvmUYxhXTNCOWZSm2bUcVRTktiuLvz549
 +8bc3NxwOp3ucxznhWKx+LLrutuaptUty4rYth3zfT8ei8XeFUXxOVmWP3Ic5zM3+tG5c+d+EIah
 vLKyUgiCIBRFEVmW3XQ6bU1NTZ08fvw4tmMTj8dpmk329va4ceOG1mg0zCAIDM/zMkEQCBMTE+PZ
 bHbh4sWLLxmG0QS4+9CCIAy6rivPzMwwMzMzfucZPjlDkiQMw2CvuAddlbMvnmJ8fJzp6emU4zgp
 wzBwHAfXdYlGo+zu7p6QJOk7wNv3J0No2zaxWIyjR49yMHUQp+OgaVVcz8XzXTqdDrXbHgfEOENS
 B9f1KRaLbG9vUygUqNfrOI7D8PAwuq4nRFHM3k2ke0CeaZpBraaLdBT+evFjNF0jEHyOjI+TSY1R
 KjXIb+4w+71VOvkm2RMXGBv7Co7dwvNBliPcvLlGMpnEsqwAcB+U3m8Vi8XFvVKJoCdQ3bbYWa+j
 7ZSYHnuPuP8X2qWACxd2iAT/ol7NEQ0aUPwjauM9nhyLIWKTyTyBpmkUi8V/Am89CFTpdru9SrnC
 8GQfmRMKiqQgyzJmO0YqtcHsyzliyhCRiMBTp19HDG0qmx8yODlHp/AuuZU/02rb6LqO4zgGUPkM
 qFKpEATBB4VCodVut0kfOYDc59O2ZP7w/lN8+PcvEu//N61mlz5VRk32EYkKxNQAKT5BZPKHyAPP
 I4khW1tbTc/zLt1bOT5VGSqVym8KhUI9t51j8ukUsQERKZRwA5uNW3E2Ngc4/eX/0p8IaZevEggx
 Bg8dpbZ+iY7TxvM8wjAkl8s1yuXyB/uWoEQiEfE8TyqXywwODDF2aJSopCCJEpFYCyXq0WrKiJKI
 wDYhHn44Rqe2iG21kGUZXdfpdDpSJBKR9wWFYegLgnBT1/VQ0zTUSZuI6vHcM01em13BrLX41S9P
 0RNOoB5QaOR+i6Q+gRhLgACpVIp8Ph92Op2b0WjUfxjIrtfrb66trfVqeo0j2UnUlM1UtkF+N8Fy
 LsvwsEt/5kvEEz0QLCJ+kW54nM2tHM1mk7W1tV6lUnlTEAR7X5BlWUSj0aBWq7G7u8vAwAG8Az3e
 vzzKcr6PqS/kyAzVKFz/HR2nyfDEeU7O/oLBqQs0m2329vYwTZNIJBK02232BX2inV6v95NWq4Uo
 ipw6eZLAH2KjoNJshuxVn2Z0+qfUtSGC7jqFW8usr99EVVWuX7+Orus/liRp535T6f4NVVVdz/PE
 SCRyPplMqqNjGWrNMkHTpmVKTJ8wefb8a3RthUZpkaXtKFZXxbLaLCwsbObz+Z+JopjvdrsPB9m2
 jaqqO+12ezAMw+ez2Swjh4YZSG5zqL/Cre0so/FfE3Z3aavfptw6SCY9wpUrV1haWnrH9/1LrVYr
 vN/3gT+sYRhBEAR/Mwxj4/bt2yhRmaD/OEv505R0hXDgFdqJ19ms9tMXU7h27Rqrq6sbwEetVit4
 kKfEPorH47dN0/yPYRhfTSQSg8eOHcMPO3hWlGdf/RobOw0kEVZXV7l69eqtarX6hiiK/7Asi8cC
 2bZNKpUq6Lo+b5rmSyMjI8nxJ0dJTcbp+TaiAAsLC8zPz+9omvb1eDw+XyqV9rPbH3RHs7Ozu8vL
 y4ulUunFTDozeOqZk5TLZRYXF1laWsrV6/VvnjlzZn5ra4v7E+BeCZ8HSiaTKIpCGIYvJJPJdw4f
 PjzR6XRi1Wp1wzTN7wqCcM3zPAzDeKjP54LuKJVKAZzt9XqHJEnqlyRpHfhY07RHin9kEPy/gQzD
 8G4v8TgN5P8AiVsUpBdCryYAAAAldEVYdGNyZWF0ZS1kYXRlADIwMTAtMDQtMjVUMDg6MzY6MDYr
 MDQ6MDB8AmN/AAAAJXRFWHRtb2RpZnktZGF0ZQAyMDEwLTA0LTI1VDA4OjM2OjA2KzA0OjAwI7MV
 SwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/fheroes2 install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

## fheroes2 0.5.1916-maemo-1

=== debian/changelog ===
fheroes2 (0.5.1916-maemo-1) stable; urgency=low

  * proper version numbers

 -- Marcus Wikström <mece@ovi.com>  Wed,  4 Aug 2010 14:16:03 +0300

=== debian/control ===
Source: fheroes2
Section: user/games
Priority: extra
Maintainer: Marcus Wikstrm <mece@ovi.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
Standards-Version: 3.7.2

Package: fheroes2
Maemo-Display-Name: Free Heroes 2
Architecture: any
Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
Description: Free Heroes 2
 Free implementation of Heroes of the Might and Magic II engine.
 You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata pacakge to try it out.
XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi/?product=Free%20Heroes%202
XB-Maemo-Display-Name: Free Heroes 2
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAVLklEQVR42sVa
 CZhcVZU+p/aqrup939Ld6YTskM4mISFsgoggCogoiDroKCgGMcgksmQc0Egw
 gIIGJhCWoCjJOAHlMywBElkSshACnQjZujtJ70t1dW3vvTr+53a1NtEojs5M
 8d28fvVu3Xv+c/6z3QfTP/ETCoUYF8bHa1lWQETceuN2u+2cnJykx+Ox8Lcc
 PnxY/ll78j+6gM/n80LGIgg2AwLP93q9E/x+f1U4HC7C3wEMguBJ27Z70un0
 4WQyucdxnJdxvx3PegDG+n8BgM3DEPpMCP3ZYDB4RmVlZWF+fr6qnyAop1Ip
 gRUok8moBQSgCPMYVhJcCc9729vbX+js7FyDOc/hOvR/AkAFh5AXuVyub5aV
 lU2rqKggaJVaWlpoYGCA8L0KSiowNG8AASQpGJ0HwQmAqLi4mPS3hYWFFI1G
 dx08ePCHmLO2u7s79r8CAIK7cZkJAX8AwedD49TW1sZHjx4V8JtAGXa53OLz
 BElsD6dTIi5x04cvmM0QXPr6+gga597eXsN/0Gjkb66qqhKsSf39/ZtaW1u/
 jb22AojzTwMAngdwuRoL3zplypQwBCFsREVFRezz+kXSASrJq+MJjdOkML+U
 hmIWADgS8vjp/qcX6R4CmlAsFmP8TjZt2kTr16/n5uZmwZoGiFqmtraWA4HA
 IPziFljjp7Bo4h8GgA3yoPW7YOora2pqeMeOHRptKBLOpVS/nwp8DVRcVEV1
 9TVUVlFCtuVQT+8ApVM25Xj9tHrDkj9bUykFP6F33nmH7rvvPtqwYYOhG6yp
 llR6SU9Pz8NDQ0MLMQb+xwAgfD6E/0+Y+CJwWvbu3cswtdhDXsrJ1FHEX8Ie
 r0/yC/NpTEMlB0J+6esZoN7efrYsRyK+IK3f9kMWlZiG4+uxfyMa8bZt2+Sm
 m26id999lxOJhEBoAkUZINbh/iqMvr8bAITPgbOtqq6u/hT24UOHDkl5eQUn
 O4OS722ggD9ELnaxx+eXkrJCqm2oMjJ1dHRRd08fZwCgrtJLa178Kfbg4wIY
 ucKR6a67VvD99z8g6uSISgyLC66/gLWugh/FPjAAmNMLzf9HeXn5ImieESGo
 rKSc0h35FPFUEbwVAqgQLvIFglRRXUZ1jdWUTlp0tL2TBgZj5MU6F53von+9
 4Xzy5c0kl7ccP3BRVvi/SCuNVGvXrqXFixeb75RS6uBHjhxZjtvFAGH/TQAQ
 HvK5LkRkeWLMmDGet956iyrKKzl1JF/CrgomVRh+5mQsWIDZnxOSmroqqqmv
 4mhvVLo6uslyLL7s0yE5pamL8vJ8nFd1tpAnnwrrP4q1vZIRhq9kjO7dbtjR
 9ScLgVLy1FNP0aJFixiaV1/QYGEjcHwKlvlvjWh/C0AFAPxuxowZ9Vu2bEF4
 K6dEew6HMpXigshELkG4pBkzfSQcQJ0QlOhgkApK8nkAAJLJIZo1L5cvv3xA
 EOApMdDPyYSIL1xLdU2f4YpxZ4uTUQAOO3ZaHNthFxJdIIC84XWbiAUQtHr1
 al6+fLkgQo0AOwDfOAWgjh4XgMZ6CH9HY2PjdTCbSUqZoRB5kzWY6DbTAYIQ
 9umOFXk08eQqSqaKaNHnj1IGT+OxJH3sYj998ZvFxFYXsZ2h9JFuOtoWpUOt
 xXTOV1YTFE5tu5+l7v1vULCghionfwS/ZbIgdG5BMRKgT8M2xeNxuvnmm+m5
 555T5ybQmSDTCsh0A0KufTwA48H5LePHj8/dtWsXFxeWS6qzFKL7wFqXDLOX
 payI6UcrI1Q/q5x7OirlO1/toNhAkofiSSQ1m04+RXjeqY40zQ6R0x/j9tZ+
 Odw1luZddic3v7BcDm55ijK2GxHMI8HCSi4fO1MkdzLVTz0Fy5PmBsr6ntx4
 44303nvvmfyBUiWKBDcH1tj7ZwDwI4BzLZs4ceL1ijgcjnC8KyieTAl0TkZw
 UtbDxDWlPvrhXRmqn9vIiXixPPcrD61d1cYDg3HJYNqVVzHX1ydl+gw/UWyI
 9+7qlGDFBVQ69lTesuYaSSQ8lLS97MnEBeUeW64CWXDFcsorrWbHsZVW5PZo
 IeuSp59+ih5//HHeuXOnAlDHXgGaf0trrfcBwJcFyIJvT5gwoQKTqbiggtJd
 pXjiNpN4FOvc5KHpU4L0ua8E6eSP1mKzE+iJe96lNQ+24rlDl14hdNoCh0rw
 8+7WPurvQUINnUr5ZbXUumM9zbz0J+T2+uhn372ExBqkCxY+Rt5wEYKUB7Rl
 TdtaapBKqPXVihUrSGXSaBiJRA6jLDkREavnfQAg/CcRstYi3Rtkia4ABzIV
 kjHsNuoXzlrCBQhe8ik0vuaGPPn01+ZQKpHhm/9lp4TyfDSpKcPnnpeWoCdB
 h3Ye5aHBlNTPXwbe/47dvjypn30ldbW+zRse/Z50t+3nC669F78rhRP7NAKK
 x+3SUM0ZxFYHfvT007/m3274rWzevJlKS0u1/voEAP7qjwCUb7isnD59+pcQ
 eaistEyc9nJ2U5Ay5j8x2uCsG7P5103lJX467QwPXfKV6VRV3U8ZJ0KeHI31
 CZJUDzkIgQd3taNsECqdspjifS0UyK+k4roZlIoPUE6khNr27aHYYJSKq+og
 tDtrZFjZ7TFVq2588FAL/ejH9xorqGXgBw/i2ZdAowxn+R9BCfwK+D8FtY4U
 RsrJ3VNtMqjGfIgPC5gUasLcCJFc5GEfQuCXF46hT14S5UBxqbicJBZMMCfj
 ku4aoIO/70U890jDvO8DQC8f3feGlNRNJyud5HB+qYSKGjgFhBo62dTeYJDa
 HclC+wgPgCRTKb7nnh/LW7t309tvv82g0a7BwcEPAUBixAK1KKCac3NzQx0d
 HSIxlMf2GLiQG8u5VGK2ydZleThnjtjCzV7ySnFJgK5eFOEzPx4UTneSnbAA
 zCWD7QPU0xnn9iNDcsL86ymnbC4/fcf54kVOiOTlcFn9VKmddblJXrZyXozG
 sIH6gG3AgFakye6RRx+TnTt30YsvvsgIqUNdXV2T4QeHDABUl7MbGhpew5fm
 Pt0ZpjBXw1XhVKjpwUW4JiDg36xPZD9KJBANRduUaX5a/lCAJNZnHNGVTFFf
 xyBid5wGe5NUOf3rFEbV+uzK68h2hJQddVNOpxM/tpBSaazsqGGxugw7sVrE
 cTKGRgi39NzzL9BLL21SAKZaRY20AHM2GYFhkosmTZr0y927d6t5JNNZQgEq
 ZA97xe3yYkFiJ+OILRY75EhmmEVqA+PUOUg+V365gi+8LCqZ3naKFOVxtDMq
 sSg6tQNJ9vuQQ9yN1Hj6tZxbVCsHdr9Km35+G1dUV8nczy7nZCqmMhvaZDLD
 5Z5WqeC7GH9DSH3nnWZ54hdP0vbt201bCgCfwvMnRyzwJZQOK19//XVG3S/U
 WYUYE2aP2ytgueEmtCEZdFEAIY6xgvECdTcpKGD6/Bcy3NSUkLIaP9nxBCMq
 oSdmat7dzd6MS4aiQqd++XHOyS83Eh7+/Rv8ys+vl1Muv4+9obCoBaAkhp5E
 La69tA1T6VxEJm5pbZP7H1hlSm6EfFS9HV/AnIcNABRuV8+aNeteDVMlJUhc
 XTXk57BykrwuP9K/xzAfRQzMr96gMTpjopF6wrQmptuXpSnRlyQbTuflNNlp
 B45KsECcMigxhgbR2RWPp1OvuJN8wTxSnr/+5PXkCTdS7fTzTCOUwfq6p9oY
 yjK0Ut8Yrkzb6d6frDSdoH5ggasAYNUIha4CgPsBwFjA21dLIU8B25YtGvU9
 LsRnuLQ6WUappA4Hm1fWZLixkeXjFyZp2twgp3tjsmNLP+UVuTGfwQehg+8m
 YT5bEjGH0hZz+bjZsuBzy4jdXj781lPy3vZneMLZ3xI7rcpxWNWvUciBBbAH
 rOgYah1qOSQPrFpNaDdNrgCAP1kA5eqFJ5100rpXX32V8/LyxNtfQ7m+Muzr
 SDptaf1p6GTqXt0gM6yhSdNSfOu/D4lSHHvwkSMsW7fbdKTN4aLCJBJZhhIo
 JUJ+BQNew2ioF2XOBQtp7Icu5lj3e7Jt/VJuPOsmhFFRp4WCzAaGQuoDWuTp
 37vfbpYn1/2K9u/fr32zIOBcjOfrDICCgoImfLYiUbi0EuS+YioJjtWADK2l
 SbXgRjRyuTymkVEfRo6kT1wUpbPOipGFeRtfiNCOXUz79jHawQwaG6LSmjAt
 vuXDtPXXD5ET7yatlkNBN0VQppz7zSeQF9ro1XXfoYnn3opqFAAte7iEAAAT
 iRzL3KvCnn1+I72xbQe9+eabhJoog2Q2H47+igEArVfBAs0tLS0R1NxCsTDV
 5DQZbWs4AwjQSVSLxgjK+0CQ6bzzk3z66f3SftRNdyzP49JySwoKU3TpxUMc
 G7Slp8sir6+AHX+dbHtpI4W8NjdW+kVrntop85EcE5JyF/LEM78qqWQaGTvJ
 FjYa5r/NGfQLmeG6iB988GHpG4iSsgR9eRSNziTkgcMjFsgZO3bsSxB2Bhp3
 yc8ppWrXbHa73OZ0zbJsTluWacC1rtA+QcfsOQ5fdHFCNm/y0NHDLr7uWyls
 nkABmkSZnZLD++N0YD8SWb8t6ZRDteU+LssNiLek0WTxeGxIPvK1u1Ef5Yg5
 9AIAjTzwM7UGW2msh84vER/i7972fYlEck0YhQW2IRPPQyZOGgDIbBr/70YD
 //WXX34Z9xVUkJhEhTllJqEg1ZsoYWkEQtJRarm0H/Z7aNx4N7W1OXTidIvG
 NQ4CVJKiAwkaHLBo/zsxE40wjZJwUqVeynLRnEtvobGTZiC+o6tDntGElUqn
 zFGLal+dGEozp3gO9m85dICW/eAOjZakHRqEvxdiX4v5mT9Wo8hu58ycOfOZ
 1157zZzNSH+Ex5fMMYkknVZtWKKWsNQSWa6inzRNiS4SDLn4mmv7pDgP5XPU
 4iOtLvk9/GFCXQ80DQskwGeUO96yE+WcK26gkqo6MNIt6rja+yoAW2kDx1VA
 2Md8rwp87LFHef++faLnSNoTIAKdA2o9+75yGjTKnTp16g48rNdzzvxIETcG
 5ksklI+NsUnKgplToFI6SyvHcFNdWumka1VWO3LN1T00FB1CLefI8xtzaOoJ
 nZxGp5ZIWtCsj8fNOVf86H/nfPw6dSbRNVQplp0269lImLZZ38L38KOeblr8
 bzea40fQR+Xc19/fPwvP+98HADRywUQ3VVRU3Lp161bSs0pvrIQmVZ5sEpme
 tKVQ3yTV2Sxoy3ZMhFINaebUQjIHpXTTjASdPq+bOo4INbeeQOMqminW10vp
 BChiQeceJm8gny75zs/InxMxljQKsYcjjq47cq/XdWvX0muvvqJaN6d3cN6l
 uC79s45MPzBPzeTJk99A81yihV1uOF8ac+ZTWUE1IgJK/FTaHNQqEDU5NslW
 ksORQivvQMihKy7pROy3pPnIHDrnzABv37heEvG0nuiyuD3QdobKJszjc794
 C0KbC5FnmCp6QqHrae7RgNHa2iJLliymurox5vQONO+CD8zCs5a/2NRD6y4k
 iSWYuHTPnj0mK0vcT7NqzuNQIGJ8wABIpUaOyjmNDdXpfJ4Ue30ovlwWNZ0Y
 42kT42L7J9Kl1/+I1yy9TDyBHGqYcgZ3drZI8wu/oJMu/AZPnnu+hkmskTJ+
 Be2DNsNg9CD49ttvw55p0iNN+KUesdwMS9+uznvccyH0BEU1NTUbschUZD1B
 ZKJguoKnVc8XnydgeKnCo8mgRCKJShKmFJvOOjPOcz/UI7FYivp7Ld6y0yMD
 8fH04IaVfHDXSzJmyjx6Zf0D3Hlwr7y7cxNdsuRh9oeKDQA477BfQetqgUQ8
 QY888hC/+OJGyR76avZ9C6BOw7zev3qwlU1sC+ATv4nH4yENWyXozkvdJ9CE
 8tmoz72Gm3FwOpm1hDhpmjyljxbM7aYuNPBrfllGA4MemnvaibT80UUmdQ90
 t9M9XzvdnPmMnfVR+vAVi+ATWsCRKdiG+W9j3QT917q19PDDD+kBL+nJIJiR
 aG9vPxdgXzpW1uMBcAP5N5Ab7kBm1igBOhVJuW8i1xc1idcTGM4PyCPqTA6c
 urhkEPXPgCQzA7TtzQK24i5ZcPZM+t6DC01Ncwi975q7lnDTKWdIflk9TZw+
 G9rW5Kg1X8aU07FYgh999BF5/PE15l0Boo4gqAiEvwHyrNAe+AMByJbYAbSa
 ywDi60gcWmSZ07E8dw3VhpsojJJYv0tr/Lbh1KZmMjQwDq6h8NSzZtD3Hlpo
 SudEPKblgcngw6+bEibSoHYziRFBg5bfeTdpSa+a1/cQepSPqHMPyuAb8Zvk
 X5Lzr74fAO9CaPiXwSLXaJZUa9TV1UkkUEgFNI6KgtWoUj1oExwTkUy5AeFS
 VgqJLy3zzmiipSuvzh6pa5E2XJLgmbGe+s/gYIw3b/6d3HnnXQA3fDYKpzXv
 zxA674WSvg0Lxo8n4wd5QxOE+ZbAufWo3QdzGseuqqwivxSwP1UiYW8RYrTf
 lMIaTdK2Fn9pOfm0k2jJPVf98Z0AQICOw2G4r78Pgr8iq1at5j179gooY44Q
 o9GooKmy0XHdDcFvw48GTZefPQ35uwEgbHk0OKG5/kwwGFxaWlpaqElFZWpo
 aDBAxPKQHfOROx0ml+NHyeo1xwvzzphJNyy/0vhLAs4ZjfYhJO6hZ575LT2P
 Jn0A1aXSEqUxHThwwJQJ2Kcf69+HPX+DESU9ZPrTUBohoZD91wDo6VIQowCj
 DKMcQ88YiwGmERucjTxRA3qxvkXRQ35jkaoqBkBUnRZKiRQnh9ISyQ3TmHEV
 RqvKcU2OetYDa5q9kTD1rb05SNA4D753IKptxrODGD2jhr5i0ndlQ6OG0io9
 GoA3K3RJVvCq7FXvi7LPdOdcCF0GQUoBBDgCmnT0DBPdlhcNfoFq0pwcZN8T
 D3dW8A1NThBS9LwTv9ey2LxOwn0a/tWbFXYwO1Rg/a4boxPjaHaMzFEQsREA
 es0fJbCOilH3hdnnEYwwRihrpRDkC0J7XmjVZY4CVS3GSVMm2mRPFUz8N93e
 8Osl0Uqzr6/PArhklhrJLE2GsgJGs5pXAF0Y6PHoMEbraGuMtoArK2BxdhSN
 AlOcBZGXtcIIiEB2+EYNr74ogbAuPedXgTVJafoHKD0nsbI8Hj2OFV4F7M9q
 W4XvwDiSBTGQnavryPGc2JvVcDgrcP4xI+8Ya4wA8WaHJ6uQkfWHj900lg47
 oG6eOo7W+7PUGRl6H8vOt+mYaPT3/L8SnBXMM0pQ/7HaHwXAnQUxAsA5BsCI
 9lPZMXJvZ+dlPoBM9Afuy7Lseq3g6wAAAABJRU5ErkJggg==
 ====

## fheroes2 0.5.1916-maemo-2

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SDL_LIBS := $(shell sdl-config --libs)
 SDL_FLAGS := $(shell sdl-config --cflags)
 
-CFLAGS := $(CFLAGS) -Wall -fsigned-char -DUSE_RWOPS -DCONFIGURE_FHEROES2_DATA=\"/home/user/.fheroes2\"
+CFLAGS := $(CFLAGS) -Wall -fsigned-char -DWITH_KEYMAPPING
 LIBS :=
 
 ifdef DEBUG

=== debian/changelog ===
fheroes2 (0.5.1916-maemo-2) stable; urgency=low

  * included latest revision 1916 from upstream, fixed typo.

 -- Marcus Wikström <mece@ovi.com>  Wed,  4 Aug 2010 16:21:38 +0300

## fheroes2 0.5.1916-maemo-3

=== Makefile ===
# makefile
# project: Free Heroes2
#
# Options:
# DEBUG: build in debug mode
# RELEASE: build with addons extensions
#
# WITHOUT_ZLIB: build without zlib (disable comressed save files)
# WITHOUT_MIXER: build without SDL_mixer library
# WITHOUT_AUDIOCD: disable audio cd support
# WITHOUT_NETWORK: build without SDL_net library
# WITHOUT_UNICODE: build without unicode (disable translation and ttf font)
# WITHOUT_IMAGE: build without SDL_image library (disable cache image, icn2png)
# WITHOUT_EDITOR
# WITHOUT_XML: skip build tinyxml, used for load alt. resources
# WITH_TOOLS: build tools

TARGET := fheroes2

all:
	$(MAKE) -C src
	@cp src/dist/$(TARGET) .
ifndef WITHOUT_UNICODE
	@cp src/dist/$(TARGET).pot files/lang
endif

clean:
	$(MAKE) -C src clean

=== debian/changelog ===
fheroes2 (0.5.1916-maemo-3) stable; urgency=low

  * Fixed rightclick. Hardcoded TAP_MODE always true in localevents.cpp

 -- Marcus Wikström <mece@ovi.com>  Tue, 31 Aug 2010 00:09:58 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
 Description: Free Heroes 2
  Free implementation of Heroes of the Might and Magic II engine.
- You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata pacakge to try it out.
+ You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata package to try it out.
 XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi/?product=Free%20Heroes%202
 XB-Maemo-Display-Name: Free Heroes 2
 XB-Maemo-Icon-26:
